Data Collection Rule Associations - Create
Erstellt oder aktualisiert eine Assoziation.
PUT https://management.azure.com/{resourceUri}/providers/Microsoft.Insights/dataCollectionRuleAssociations/{associationName}?api-version=2024-03-11
URI-Parameter
| Name | In | Erforderlich | Typ | Beschreibung |
|---|---|---|---|---|
|
association
|
path | True |
string |
Der Name der Zuordnung. Bei dem Namen wird die Groß-/Kleinschreibung nicht beachtet. |
|
resource
|
path | True |
string minLength: 1 |
Der Bezeichner der Ressource. |
|
api-version
|
query | True |
string minLength: 1 |
Die API-Version, die für diesen Vorgang verwendet werden soll. |
Anforderungstext
| Name | Typ | Beschreibung |
|---|---|---|
| properties.dataCollectionEndpointId |
string |
Die Ressourcen-ID des Datensammlungsendpunkts, der zugeordnet werden soll. |
| properties.dataCollectionRuleId |
string |
Die Ressourcen-ID der Datensammlungsregel, die zugeordnet werden soll. |
| properties.description |
string |
Beschreibung der Zuordnung. |
Antworten
| Name | Typ | Beschreibung |
|---|---|---|
| 200 OK |
Die Anforderung war erfolgreich. |
|
| 201 Created |
Die Erstellungsoperation der Ressource 'DataCollectionRuleAssociationProxyOnlyResource' war erfolgreich |
|
| Other Status Codes |
Unerwartete Fehlerantwort. |
Sicherheit
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Ablauf:
implicit
Autorisierungs-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiche
| Name | Beschreibung |
|---|---|
| user_impersonation | Identitätswechsel ihres Benutzerkontos |
Beispiele
| Create or update association |
| Create or update association with a data collection endpoint |
Create or update association
Beispielanforderung
PUT https://management.azure.com/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/myAssociation?api-version=2024-03-11
{
"properties": {
"dataCollectionRuleId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionRules/myCollectionRule"
}
}
Beispiel für eine Antwort
{
"name": "myAssociation",
"type": "Microsoft.Insights/dataCollectionRuleAssociations",
"etag": "00000836-0000-0100-0000-65fdd8bc0000",
"id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/myAssociation",
"properties": {
"dataCollectionRuleId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionRules/myCollectionRule"
},
"systemData": {
"createdAt": "2024-03-22T19:15:08.2155156Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2024-03-22T19:15:08.2155156Z",
"lastModifiedBy": "user1",
"lastModifiedByType": "User"
}
}
{
"name": "myAssociation",
"type": "Microsoft.Insights/dataCollectionRuleAssociations",
"etag": "00000836-0000-0100-0000-65fdd8bc0000",
"id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/myAssociation",
"properties": {
"dataCollectionRuleId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionRules/myCollectionRule"
},
"systemData": {
"createdAt": "2024-03-22T19:15:08.2155156Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2024-03-22T19:15:08.2155156Z",
"lastModifiedBy": "user1",
"lastModifiedByType": "User"
}
}
Create or update association with a data collection endpoint
Beispielanforderung
PUT https://management.azure.com/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/configurationAccessEndpoint?api-version=2024-03-11
{
"properties": {
"dataCollectionEndpointId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myCollectionEndpoint"
}
}
Beispiel für eine Antwort
{
"name": "configurationAccessEndpoint",
"type": "Microsoft.Insights/dataCollectionRuleAssociations",
"etag": "00000836-0000-0100-0000-65fdd8bc0000",
"id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/configurationAccessEndpoint",
"properties": {
"dataCollectionEndpointId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myCollectionEndpoint"
},
"systemData": {
"createdAt": "2024-03-22T19:15:08.2155156Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2024-03-22T19:15:08.2155156Z",
"lastModifiedBy": "user1",
"lastModifiedByType": "User"
}
}
{
"name": "configurationAccessEndpoint",
"type": "Microsoft.Insights/dataCollectionRuleAssociations",
"etag": "00000836-0000-0100-0000-65fdd8bc0000",
"id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Compute/virtualMachines/myVm/providers/Microsoft.Insights/dataCollectionRuleAssociations/configurationAccessEndpoint",
"properties": {
"dataCollectionEndpointId": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myCollectionEndpoint"
},
"systemData": {
"createdAt": "2024-03-22T19:15:08.2155156Z",
"createdBy": "user1",
"createdByType": "User",
"lastModifiedAt": "2024-03-22T19:15:08.2155156Z",
"lastModifiedBy": "user1",
"lastModifiedByType": "User"
}
}
Definitionen
| Name | Beschreibung |
|---|---|
|
created |
Der Identitätstyp, der die Ressource erstellt hat. |
|
Data |
Metadaten zur Ressource |
|
Data |
Definition der generischen ARM-Proxy-Ressource. |
|
Error |
Der Ressourcenverwaltungsfehler zusätzliche Informationen. |
|
Error |
Das Fehlerdetails. |
|
Error |
Übliche Fehlerantwort für alle Azure Resource Manager APIs, um Fehlerdetails bei fehlgeschlagenen Operationen zurückzugeben. (Dies folgt auch dem OData-Fehlerantwortformat.) |
|
Known |
Der Ressourcenbereitstellungsstatus. |
|
system |
Metadaten zur Erstellung und letzten Änderung der Ressource. |
createdByType
Der Identitätstyp, der die Ressource erstellt hat.
| Wert | Beschreibung |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataCollectionRuleAssociationMetadata
Metadaten zur Ressource
| Name | Typ | Beschreibung |
|---|---|---|
| provisionedBy |
string |
Azure bietet die Verwaltung dieser Ressource im Namen des Kunden an. |
| provisionedByImmutableId |
string |
Unveränderliche ID von Azure bietet die Verwaltung dieser Ressource im Namen des Kunden an. |
| provisionedByResourceId |
string |
Resource ID von Azure bietet die Verwaltung dieser Ressource im Namen des Kunden an. |
DataCollectionRuleAssociationProxyOnlyResource
Definition der generischen ARM-Proxy-Ressource.
| Name | Typ | Beschreibung |
|---|---|---|
| etag |
string |
Ressourcen-Entitäten-Tag (ETag). |
| id |
string |
Vollqualifizierte Ressourcen-ID für die Ressource. Zum Beispiel - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Der Name der Ressource |
| properties.dataCollectionEndpointId |
string |
Die Ressourcen-ID des Datensammlungsendpunkts, der zugeordnet werden soll. |
| properties.dataCollectionRuleId |
string |
Die Ressourcen-ID der Datensammlungsregel, die zugeordnet werden soll. |
| properties.description |
string |
Beschreibung der Zuordnung. |
| properties.metadata |
Metadaten zur Ressource |
|
| properties.provisioningState |
Der Ressourcenbereitstellungsstatus. |
|
| systemData |
Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten. |
|
| type |
string |
Der Typ der Ressource. Zum Beispiel "Microsoft. Compute/virtualMachines" oder "Microsoft. Speicher/Speicherkonten" |
ErrorAdditionalInfo
Der Ressourcenverwaltungsfehler zusätzliche Informationen.
| Name | Typ | Beschreibung |
|---|---|---|
| info |
object |
Die zusätzlichen Informationen. |
| type |
string |
Der zusätzliche Informationstyp. |
ErrorDetail
Das Fehlerdetails.
| Name | Typ | Beschreibung |
|---|---|---|
| additionalInfo |
Die zusätzlichen Informationen des Fehlers. |
|
| code |
string |
Der Fehlercode. |
| details |
Die Fehlerdetails. |
|
| message |
string |
Die Fehlermeldung. |
| target |
string |
Das Fehlerziel. |
ErrorResponseCommonV2
Übliche Fehlerantwort für alle Azure Resource Manager APIs, um Fehlerdetails bei fehlgeschlagenen Operationen zurückzugeben. (Dies folgt auch dem OData-Fehlerantwortformat.)
| Name | Typ | Beschreibung |
|---|---|---|
| error |
Das Fehlerobjekt. |
KnownDataCollectionRuleAssociationProvisioningState
Der Ressourcenbereitstellungsstatus.
| Wert | Beschreibung |
|---|---|
| Creating |
Erstellen |
| Updating |
Aktualisieren |
| Deleting |
Löschen |
| Succeeded |
Erfolgreich |
| Canceled |
Abgesagt |
| Failed |
gescheitert |
systemData
Metadaten zur Erstellung und letzten Änderung der Ressource.
| Name | Typ | Beschreibung |
|---|---|---|
| createdAt |
string (date-time) |
Der Zeitstempel der Ressourcenerstellung (UTC). |
| createdBy |
string |
Die Identität, die die Ressource erstellt hat. |
| createdByType |
Der Identitätstyp, der die Ressource erstellt hat. |
|
| lastModifiedAt |
string (date-time) |
Der Zeitstempel der letzten Änderung der Ressource (UTC) |
| lastModifiedBy |
string |
Die Identität, die die Ressource zuletzt geändert hat. |
| lastModifiedByType |
Der Identitätstyp, der die Ressource zuletzt geändert hat. |